NFA

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.core.parser.JFlex
Class NFA

    java.lang.Object
      weka.core.parser.JFlex.NFA

    public final class NFA

extends java.lang.Object

NFA representation in JFlex. Contains algorithms RegExp -> NFA and NFA -> DFA.

Version:
  JFlex 1.4.1, $Revision: 1.1 $, $Date: 2008-05-09 09:14:11 $
Author:
  Gerwin Klein

Constructor Summary
`NFA(int numInput, int estSize)`
`NFA(int numInput, LexScan scanner, RegExps regExps, Macros macros, CharClasses classes)`

Method Summary
`void` | `addEpsilonTransition(int start, int dest)`
`void` | `addRegExp(int regExpNum)`
`void` | `addStandaloneRule()`
`void` | `addTransition(int start, int input, int dest)`
`java.lang.String` | `dotFormat()`
`void` | `dumpTable()`
`DFA` | `getDFA()` Returns an DFA that accepts the same language as this NFA.
`weka.core.parser.JFlex.IntPair` | `insertNFA(RegExp regExp)` Constructs an NFA for regExp such that the NFA has exactly one start state, exactly one end state, no transitions leading out of the end state no transitions leading into the start state
`java.lang.String` | `toString()`
`void` | `writeDot(java.io.File file)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NFA

    public NFA(int numInput,
               int estSize)

### NFA

    public NFA(int numInput,
               LexScan scanner,
               RegExps regExps,
               Macros macros,
               CharClasses classes)

Method Detail

### addStandaloneRule

    public void addStandaloneRule()

### addRegExp

    public void addRegExp(int regExpNum)

### addTransition

    public void addTransition(int start,
                              int input,
                              int dest)

### addEpsilonTransition

    public void addEpsilonTransition(int start,
                                     int dest)

### getDFA

    public DFA getDFA()

  Returns an DFA that accepts the same language as this NFA. This DFA is usualy not minimal.

### dumpTable

    public void dumpTable()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### writeDot

    public void writeDot(java.io.File file)

### dotFormat

    public java.lang.String dotFormat()

### insertNFA

    public weka.core.parser.JFlex.IntPair insertNFA(RegExp regExp)

  Constructs an NFA for regExp such that the NFA has exactly one start state, exactly one end state, no transitions leading out of the end state no transitions leading into the start state

  Parameters:
    `regExp` - the regular expression to construct the NFA for
  Returns:
    a pair of integers denoting the index of start and end state of the NFA.

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD